LIST P=18F4550, F=INHX32

GLOBAL          SaveData, SavePresetNum, PrgBanks

Eedata          CODE    0xF00000

SaveData        ; Volume az 1..8 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 0 bank
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 0 program
                de      0,  1,  2,  3,  4,  5,  6,  7 ; preset 0 chn

                ; Pan az 1..8 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 1 bank
                de      1,  1,  1,  1,  1,  1,  1,  1 ; preset 1 program
                de      0,  1,  2,  3,  4,  5,  6,  7 ; preset 1 chn

                ; Reverb az 1..8 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 2 bank
                de      2,  2,  2,  2,  2,  2,  2,  2 ; preset 2 program
                de      0,  1,  2,  3,  4,  5,  6,  7 ; preset 2 chn

                ; Chorus az 1..8 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 3 bank
                de      3,  3,  3,  3,  3,  3,  3,  3 ; preset 3 program
                de      0,  1,  2,  3,  4,  5,  6,  7 ; preset 3 chn

                ; Tbb paramter a 10 csatornra
                de      0,  0,  0,  0,  0,  0,  3,  3 ; preset 4 bank
                de      0,  1,  2,  3,  4,  5,  0,  1 ; preset 4 program
                de      9,  9,  9,  9,  9,  9,  9,  9 ; preset 4 chn

                ; Volume a 9..16 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 5 bank
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 5 program
                de      8,  9,.10,.11,.12,.13,.14,.15 ; preset 5 chn

                ; Pan a 9..16 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 6 bank
                de      1,  1,  1,  1,  1,  1,  1,  1 ; preset 6 program
                de      8,  9,.10,.11,.12,.13,.14,.15 ; preset 6 chn

                ; Reverb a 9..16 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 7 bank
                de      2,  2,  2,  2,  2,  2,  2,  2 ; preset 7 program
                de      8,  9,.10,.11,.12,.13,.14,.15 ; preset 7 chn

                ; Chorus a 9..16 csatornra
                de      0,  0,  0,  0,  0,  0,  0,  0 ; preset 8 bank
                de      3,  3,  3,  3,  3,  3,  3,  3 ; preset 8 program
                de      8,  9,.10,.11,.12,.13,.14,.15 ; preset 8 chn

                ; Reverb, Chorus, SBfiltr, SBRes 1,2 csatornra
                de      0,  0,  3,  3,  0,  0,  3,  3 ; preset 9 bank
                de      2,  3,  0,  1,  2,  3,  0,  1 ; preset 9 program
                de      0,  0,  0,  0,  1,  1,  1,  1 ; preset 9 chn

SavePresetNum   de      0 ; bekapcsolskor ez lesz kivlasztva

CODE

PrgBanks        dw      4
                dw      PrgBank0
                dw      PrgBank1
                dw      PrgBank2
                dw      PrgBank3

PrgBank0        dw      .10
                dw      PrgVolume
                dw      PrgPan
                dw      PrgReverb
                dw      PrgChorus
                dw      PrgBreath
                dw      PrgExprsion
                dw      PrgModulat
                dw      PrgVolumeAll
                dw      PrgPitchBend
                dw      PrgDamperPedal
                db      "  Normale Bank  ", 0

PrgBank1        dw      .32
                dw      PrgCC00
                dw      PrgCC01
                dw      PrgCC02
                dw      PrgCC03
                dw      PrgCC04
                dw      PrgCC05
                dw      PrgCC06
                dw      PrgCC07
                dw      PrgCC08
                dw      PrgCC09
                dw      PrgCC10
                dw      PrgCC11
                dw      PrgCC12
                dw      PrgCC13
                dw      PrgCC14
                dw      PrgCC15
                dw      PrgCC16
                dw      PrgCC17
                dw      PrgCC18
                dw      PrgCC19
                dw      PrgCC20
                dw      PrgCC21
                dw      PrgCC22
                dw      PrgCC23
                dw      PrgCC24
                dw      PrgCC25
                dw      PrgCC26
                dw      PrgCC27
                dw      PrgCC28
                dw      PrgCC29
                dw      PrgCC30
                dw      PrgCC31
                db      "  All CC bank1  ", 0

PrgBank2        dw      .32
                dw      PrgCC64
                dw      PrgCC65
                dw      PrgCC66
                dw      PrgCC67
                dw      PrgCC68
                dw      PrgCC69
                dw      PrgCC70
                dw      PrgCC71
                dw      PrgCC72
                dw      PrgCC73
                dw      PrgCC74
                dw      PrgCC75
                dw      PrgCC76
                dw      PrgCC77
                dw      PrgCC78
                dw      PrgCC79
                dw      PrgCC80
                dw      PrgCC81
                dw      PrgCC82
                dw      PrgCC83
                dw      PrgCC84
                dw      PrgCC85
                dw      PrgCC86
                dw      PrgCC87
                dw      PrgCC88
                dw      PrgCC89
                dw      PrgCC90
                dw      PrgCC91
                dw      PrgCC92
                dw      PrgCC93
                dw      PrgCC94
                dw      PrgCC95
                db      "  All CC bank2  ", 0

PrgBank3        dw      2
                dw      PrgSBFilCutoff
                dw      PrgSBResonance
                db      " Creative Bank  ", 0

PrgVolume       dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0700, 0002
                db      0F0, ".Volume ", 0F2, " c", 0F1, 0
;Minta:                     "3.Volume 127 c02"

PrgPan          dw      8
                dw      3
                dw      0B001, 0A00, 0002
                db      0F0, ".Pan    ", 0F3, " c", 0F1, 0
;Minta:                     "4.Pan    -12 c02"

PrgReverb       dw      8
                dw      3
                dw      0B001, 5B00, 0002
                db      0F0, ".Reverb ", 0F2, " c", 0F1, 0
;Minta:                     "8.Reverb  57 c12"

PrgChorus       dw      8
                dw      3
                dw      0B001, 5D00, 0002
                db      0F0, ".Chorus ", 0F2, " c", 0F1, 0
;Minta:                     "2.Chorus  75 c05"

PrgBreath       dw      8
                dw      3
                dw      0B001, 0200, 0002
                db      0F0, ".Breath ", 0F2, " c", 0F1, 0
;Minta:                     "7.Breath  98 c16"

PrgExprsion     dw      8
                dw      3
                dw      0B001, 0B00, 0002
                db      0F0, ".Exprsn ", 0F2, " c", 0F1, 0
;Minta:                     "5.Exprsn 112 c10"

PrgModulat      dw      8
                dw      3
                dw      0B001, 0100, 0002
                db      0F0, ".Modula ", 0F2, " c", 0F1, 0
;Minta:                     "5.Modula 103 c09"

PrgPitchBend    dw      2
                dw      3
                dw      0E001, 0006, 0005
                db      0F0, ".Pitch", 0F5, " c", 0F1, 0
;Minta:                     "7.PichB-3600 c11"

PrgDamperPedal  dw      .512 ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4000, 0007
                db      0F0, ".Damper ", 0F6, " c", 0F1, 0
;Minta:                     "3.Damper off c02"


PrgVolumeAll    dw      8
                dw      30
                dw      0B000, 0700, 0002
                dw      0B100, 0700, 0002
                dw      0B200, 0700, 0002
                dw      0B300, 0700, 0002
                dw      0B400, 0700, 0002
                dw      0B500, 0700, 0002
                dw      0B600, 0700, 0002
                dw      0B700, 0700, 0002
                dw      0B800, 0700, 0002
                dw      0B900, 0700, 0002
                dw      0BA00, 0700, 0002
                dw      0BB00, 0700, 0002
                dw      0BC00, 0700, 0002
                dw      0BD00, 0700, 0002
                dw      0BE00, 0700, 0002
                dw      0BF00, 0700, 0002
                db      0F0, ".Volume ", 0F2, " all", 0
;Minta:                     "6.Volume 103 all"

PrgSBFilCutoff  dw      8
                dw      9
                dw      0B001, 6300, 7F00, 6200, 1500
                dw      0600, 4000, 2600, 0002
                db      0F0, ".FiltCt ", 0F2, " c", 0F1, 0
;Minta:                     "5.FiltCt 109 c09"

PrgSBResonance  dw      8
                dw      9
                dw      0B001, 6300, 7f00, 6200, 1600
                dw      0600, 4000, 2600, 0002
                db      0F0, ".Reso   ", 0F2, " c", 0F1, 0
;Minta:                     "5.Reso    19 c09"

PrgCC00         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0000, 0002
                db      0F0, ".CC-0   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-0   127 c02"

PrgCC01         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0100, 0002
                db      0F0, ".CC-1   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-1   127 c02"

PrgCC02         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0200, 0002
                db      0F0, ".CC-2   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-2   127 c02"

PrgCC03         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0300, 0002
                db      0F0, ".CC-3   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-3   127 c02"

PrgCC04         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0400, 0002
                db      0F0, ".CC-4   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-4   127 c02"

PrgCC05         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0500, 0002
                db      0F0, ".CC-5   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-5   127 c02"

PrgCC06         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0600, 0002
                db      0F0, ".CC-6   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-6   127 c02"

PrgCC07         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0700, 0002
                db      0F0, ".CC-7   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-7   127 c02"

PrgCC08         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0800, 0002
                db      0F0, ".CC-8   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-8   127 c02"

PrgCC09         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0900, 0002
                db      0F0, ".CC-9   ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-9   127 c02"

PrgCC10         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0A00, 0002
                db      0F0, ".CC-10  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-10  127 c02"

PrgCC11         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0B00, 0002
                db      0F0, ".CC-11  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-11  127 c02"

PrgCC12         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0C00, 0002
                db      0F0, ".CC-12  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-12  127 c02"

PrgCC13         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0D00, 0002
                db      0F0, ".CC-13  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-13  127 c02"

PrgCC14         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0E00, 0002
                db      0F0, ".CC-14  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-14  127 c02"

PrgCC15         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 0F00, 0002
                db      0F0, ".CC-15  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-15  127 c02"

PrgCC16         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1000, 0002
                db      0F0, ".CC-16  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-16  127 c02"

PrgCC17         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1100, 0002
                db      0F0, ".CC-17  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-17  127 c02"

PrgCC18         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1200, 0002
                db      0F0, ".CC-18  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-18  127 c02"

PrgCC19         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1300, 0002
                db      0F0, ".CC-19  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-19  127 c02"

PrgCC20         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1400, 0002
                db      0F0, ".CC-20  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-20  127 c02"

PrgCC21         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1500, 0002
                db      0F0, ".CC-21  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-21  127 c02"

PrgCC22         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1600, 0002
                db      0F0, ".CC-22  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-22  127 c02"

PrgCC23         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1700, 0002
                db      0F0, ".CC-23  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-23  127 c02"

PrgCC24         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1800, 0002
                db      0F0, ".CC-24  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-24  127 c02"

PrgCC25         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1900, 0002
                db      0F0, ".CC-25  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-25  127 c02"

PrgCC26         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1A00, 0002
                db      0F0, ".CC-26  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-26  127 c02"

PrgCC27         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1B00, 0002
                db      0F0, ".CC-27  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-27  127 c02"

PrgCC28         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1C00, 0002
                db      0F0, ".CC-28  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-28  127 c02"

PrgCC29         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1D00, 0002
                db      0F0, ".CC-29  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-29  127 c02"

PrgCC30         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1E00, 0002
                db      0F0, ".CC-30  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-30  127 c02"

PrgCC31         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 1F00, 0002
                db      0F0, ".CC-31  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-31  127 c02"

PrgCC64         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4000, 0002
                db      0F0, ".CC-64  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-64  127 c02"

PrgCC65         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4100, 0002
                db      0F0, ".CC-65  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-65  127 c02"

PrgCC66         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4200, 0002
                db      0F0, ".CC-66  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-66  127 c02"

PrgCC67         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4300, 0002
                db      0F0, ".CC-67  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-67  127 c02"

PrgCC68         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4400, 0002
                db      0F0, ".CC-68  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-68  127 c02"

PrgCC69         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4500, 0002
                db      0F0, ".CC-69  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-69  127 c02"

PrgCC70         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4600, 0002
                db      0F0, ".CC-70  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-70  127 c02"

PrgCC71         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4700, 0002
                db      0F0, ".CC-71  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-71  127 c02"

PrgCC72         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4800, 0002
                db      0F0, ".CC-72  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-72  127 c02"

PrgCC73         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4900, 0002
                db      0F0, ".CC-73  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-73  127 c02"

PrgCC74         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4A00, 0002
                db      0F0, ".CC-74  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-74  127 c02"

PrgCC75         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4B00, 0002
                db      0F0, ".CC-75  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-75  127 c02"

PrgCC76         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4C00, 0002
                db      0F0, ".CC-76  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-76  127 c02"

PrgCC77         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4D00, 0002
                db      0F0, ".CC-77  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-77  127 c02"

PrgCC78         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4E00, 0002
                db      0F0, ".CC-78  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-78  127 c02"

PrgCC79         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 4F00, 0002
                db      0F0, ".CC-79  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-79  127 c02"

PrgCC80         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5000, 0002
                db      0F0, ".CC-80  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-80  127 c02"

PrgCC81         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5100, 0002
                db      0F0, ".CC-81  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-81  127 c02"

PrgCC82         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5200, 0002
                db      0F0, ".CC-82  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-82  127 c02"

PrgCC83         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5300, 0002
                db      0F0, ".CC-83  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-83  127 c02"

PrgCC84         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5400, 0002
                db      0F0, ".CC-84  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-84  127 c02"

PrgCC85         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5500, 0002
                db      0F0, ".CC-85  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-85  127 c02"

PrgCC86         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5600, 0002
                db      0F0, ".CC-86  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-86  127 c02"

PrgCC87         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5700, 0002
                db      0F0, ".CC-87  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-87  127 c02"

PrgCC88         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5800, 0002
                db      0F0, ".CC-88  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-88  127 c02"

PrgCC89         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5900, 0002
                db      0F0, ".CC-89  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-89  127 c02"

PrgCC90         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5A00, 0002
                db      0F0, ".CC-90  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-90  127 c02"

PrgCC91         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5B00, 0002
                db      0F0, ".CC-91  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-91  127 c02"

PrgCC92         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5C00, 0002
                db      0F0, ".CC-92  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-92  127 c02"

PrgCC93         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5D00, 0002
                db      0F0, ".CC-93  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-93  127 c02"

PrgCC94         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5E00, 0002
                db      0F0, ".CC-94  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-94  127 c02"

PrgCC95         dw      8    ; rzkenysg
                dw      3    ; kldend zenet hossza
                dw      0B001, 5F00, 0002
                db      0F0, ".CC-95  ", 0F2, " c", 0F1, 0
;Minta:                     "3.CC-95  127 c02"


END
